- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# TRay Class Reference

`#include <tray.h>`

List of all members.

## Public Member Functions
| TRay ()
| TRay (const TVector &point1, const TVector &point2)
bool | adjacentPoints (const TRay &ray, TVector &point1, TVector &point2) const
TRay | operator- () const
TVector | P () const
TVector | V () const
int | isValid () const
double | dist (const TRay &ray) const
double | dist (const TVector &point) const
## Static Public Member Functions
static TRay & | invert (const TRay &r, TRay &result)
## Private Member Functions
ostream & | write (ostream &out) const
istream & | read (istream &in)
## Private Attributes
TVector | _P1
TVector | _V
## Friends
ostream & | operator<< (ostream &out, const TRay &o)
istream & | operator>> (istream &in, TRay &o)

## Constructor & Destructor Documentation

TRay::TRay | ( |  | ) | `[inline]`

TRay::TRay | ( | const TVector & | point1,
|  | const TVector & | point2 |
| ) |  |  |

## Member Function Documentation

bool TRay::adjacentPoints | ( | const TRay & | ray,
|  | TVector & | point1,
|  | TVector & | point2 |
| ) |  |  | const

double TRay::dist | ( | const TVector & | point | ) | const

double TRay::dist | ( | const TRay & | ray | ) | const

static TRay& TRay::invert | ( | const TRay & | r,
|  | TRay & | result |
| ) |  |  | `[inline, static]`

int TRay::isValid | ( |  | ) | const`[inline]`

TRay TRay::operator- | ( |  | ) | const`[inline]`

TVector TRay::P | ( |  | ) | const`[inline]`

istream & TRay::read | ( | istream & | in | ) | `[private]`

TVector TRay::V | ( |  | ) | const`[inline]`

ostream & TRay::write | ( | ostream & | out | ) | const`[private]`

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | out,
|  | const TRay & | o |
| ) |  |  | `[friend]`

istream& operator>> | ( | istream & | in,
|  | TRay & | o |
| ) |  |  | `[friend]`

## Member Data Documentation

TVector TRay::_P1`[private]`

TVector TRay::_V`[private]`

The documentation for this class was generated from the following files:

- src/vectorMath/tray.h
- src/vectorMath/tray.cpp